%ifos darwin
%define __etcdir /private/etc
%else
%define __etcdir /etc
%endif

Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
%define version 3.5.8
Version: %{version}
Release: 10c
Copyright: GPL
Group: Applications/Publishing
Requires: ghostscript
Source0: ftp://thep.physik.uni-mainz.de/pub/gv/unix/gv-%{version}.tar.gz
Patch0: gv-%{version}-config.patch
Patch1: gv-%{version}-alias.patch
Patch2: gv-%{version}-macosx.patch
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildRoot: %{_tmppath}/gv-root

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .alias
%ifos darwin
%patch2 -p1 -b .macosx
%endif
%ifos darwin
ln -sf ../doc/gv.man source/.
%endif

%build
xmkmf
make Makefiles
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__etcdir}/X11/applnk/Graphics

make DESTDIR=$RPM_BUILD_ROOT MKDIRHIER='mkdir -p' install install.man
gunzip doc/*gz

%ifnos darwin
cat > $RPM_BUILD_ROOT/%{__etcdir}/X11/applnk/Graphics/gv.desktop <<EOF
[Desktop Entry]
Name=Ghostview
Type=Application
Icon=kghostview.xpm
Exec=gv
EOF
%endif

ln -sf gv $RPM_BUILD_ROOT/usr/X11R6/bin/ghostview


%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc README CHANGES COPYING doc/*.html doc/*doc doc/*txt
/usr/X11R6/bin/gv
/usr/X11R6/lib/X11/gv
/usr/X11R6/man/man1/gv.*
/usr/X11R6/lib/X11/app-defaults/GV
%ifnos darwin
%config %{__etcdir}/X11/applnk/Graphics/gv.desktop
%endif
/usr/X11R6/bin/ghostview

%changelog
* Sun Oct 13 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 3.5.8-10c: 1st release on MacOS X 10.2

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- fixed bug #272, changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built pacakge for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Thu Nov 06 1997 Cristian Gafton <gafton@redhat.com>
- we are installin a symlink to ghostview

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.5.8

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 15 1997 Erik Troan <ewt@redhat.com>
- added ghostscript requirement, added errlist patch for glibc.
